Bug 546799 - SELinux is preventing /usr/bin/kismet_server "name_connect" access.
Summary: SELinux is preventing /usr/bin/kismet_server "name_connect" access.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:08b1a08dfa2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-12 00:02 UTC by Michal Ambroz
Modified: 2009-12-22 20:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:27 UTC
Type: ---


Attachments (Terms of Use)

Description Michal Ambroz 2009-12-12 00:02:41 UTC
Summary:

SELinux is preventing /usr/bin/kismet_server "name_connect" access.

Detailed Description:

SELinux denied access requested by kismet_server. It is not expected that this
access is required by kismet_server and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:kismet_t:s0-s0:c0.c1023
Target Context                system_u:object_r:gpsd_port_t:s0
Target Objects                None [ tcp_socket ]
Source                        kismet_server
Source Path                   /usr/bin/kismet_server
Port                          2947
Host                          (removed)
Source RPM Packages           kismet-0.0.2009.06.R1-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-55.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.6-166.fc12.i686 #1 SMP Wed Dec 9 11:14:59
                              EST 2009 i686 i686
Alert Count                   1
First Seen                    Sat 12 Dec 2009 12:17:03 AM CET
Last Seen                     Sat 12 Dec 2009 12:17:03 AM CET
Local ID                      608128fe-d815-456c-a2c7-dfb931b13bab
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260573423.929:51): avc:  denied  { name_connect } for  pid=3772 comm="kismet_server" dest=2947 scontext=unconfined_u:unconfined_r:kismet_t:s0-s0:c0.c1023 tcontext=system_u:object_r:gpsd_port_t:s0 tclass=tcp_socket

node=(removed) type=SYSCALL msg=audit(1260573423.929:51): arch=40000003 syscall=102 success=no exit=-13 a0=3 a1=bfbbe9c0 a2=8b16ce0 a3=8b17100 items=0 ppid=3571 pid=3772 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts1 ses=1 comm="kismet_server" exe="/usr/bin/kismet_server" subj=unconfined_u:unconfined_r:kismet_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,catchall,kismet_server,kismet_t,gpsd_port_t,tcp_socket,name_connect
audit2allow suggests:

#============= kismet_t ==============
allow kismet_t gpsd_port_t:tcp_socket name_connect;

Comment 1 Daniel Walsh 2009-12-12 12:30:08 UTC
Is this a local customization?  Or did this happen with a default configuration?
Is it expected that kismet connect to this port?  What other ports can it/should it be allowed to connect?

You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Comment 2 Enrico Scholz 2009-12-12 16:04:45 UTC
kismet wants to connect to a GPS daemon (gpsd_port_t). This is a valid (and probably not uncommon) setup for kismet and should be allowed by standard policy.

Comment 3 Michal Ambroz 2009-12-13 02:17:40 UTC
Thanks Dan, Enrico.
Yes it is connection to GPS daemon and it was out of the box configuration without any changes. It would really make sense to have this allowed by default policy.

Comment 4 Daniel Walsh 2009-12-14 12:03:30 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-59.fc12.noarch

Comment 5 Michal Ambroz 2009-12-14 23:16:23 UTC
Thank you Daniel.
Having it in a selinux-policy package I assume this issue solved.
Have a nice day.

Comment 6 Fedora Update System 2009-12-16 13:54:47 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 7 Fedora Update System 2009-12-18 04:42:58 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.